# FHIR Bulk Data Access delete-request

`DELETE /fhir/R4/{destinationSlug}/{environmentFlag}/export-status/{jobId}`

> **Released beta feature**
>
> This is a released beta feature. That means it’s available to everyone, but we’re open to feedback. Talk to your Technical Account Manager to report any issues—or delights! 

<u>**FHIR Bulk Data Access**</u> messages exchanging data in bulk. This is a common need for payers and providers. [Learn more about FHIR Bulk Data Access](https://build.fhir.org/ig/HL7/bulk-data/en/). 

We support these type of messages that allow you to:

- request a bulk data transfer of a system, patient, or group of patients;
- check the status of a bulk data transfer;
- respond to a status check; 
- delete a bulk data transfer; and
- respond to a request to delte a bulk data transfer.

Cancel a request for a bulk data transfer. 

Status: Beta

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `destinationSlug` | path | string | Yes | The slug identifier for the destination. |
| `environmentFlag` | path | string | Yes | The environment flag (e.g., Development, Staging, Production). |
| `jobId` | path | string | Yes | The unique identifier for the bulk export job to delete. |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `Meta` | object | Yes |  |
| `Meta.DataModel` | string | Yes | FHIR Bulk Data Access |
| `Meta.EventType` | string | Yes | delete-request |
| `Meta.EventDateTime` | string or null | No | Displays the UTC date and time that an outgoing request is delivered or an incoming request is received. *[ISO 8601 Format](http://en.wikipedia.org/wiki/ISO_8601)* |
| `Meta.Test` | boolean or null | No | Indicates whether the request is a test or not. |
| `Meta.Source` | object | No | Contains the information for the system initiating the message, including the source ID and name. *Included in messages from Redox* |
| `Meta.Source.ID` | string or null | No | Identifies the system initiating the message. If you have multiple OAuth API keys per environment type, this value is required. If you have only one OAuth API key per environment type, or you're using legacy API keys, this value is optional. *UUID* |
| `Meta.Source.Name` | string or null | No | Displays the name of the system initiating the message. |
| `Meta.Destinations` | Array of object | No | Contains the information for the endpoint(s) receiving the request. A request must contain at least one destination, but asynchronous requests can have more than one destination. Synchronous requests like queries can only support one destination. *Required when sending data to Redox.* |
| `Meta.Destinations[].ID` | string or null | No | Identifies the endpoint that the request is directed to. *UUID* |
| `Meta.Destinations[].Name` | string or null | No | Displays the name of the endpoint that the request is directed to. |
| `Meta.Logs` | Array of object | No | Contains the log identifier(s) for the request. |
| `Meta.Logs[].ID` | string or null | No | Identifies the request log(s) that correspond to this request. You can use this value to locate the relevant log in the Redox dashboard for support and reference. *UUID* |
| `Meta.Logs[].AttemptID` | string or null | No | Identifies the request log attempt value, which is useful when retries are possible. *UUID* |
| `Meta.FacilityCode` | string or null | No | Code for the facility related to the message. *Only use this field if a health system indicates you should. The code is specific to the health system's EHR and might not be unique across health systems. In general, the facility fields within the data models (e.g. OrderingFacility) are more reliable and informative.* |
| `jobId` | string | Yes | The unique identifier for the bulk export job to delete. |

## Example

```json
{
  "Meta": {
    "DataModel": "FHIR Bulk Data Access",
    "EventType": "delete-request",
    "EventDateTime": "2026-11-20T22:18:53.621Z",
    "Test": true,
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "FacilityCode": null
  },
  "jobId": "e4b4a01a-1c2d-4f5e-9a8b-3c7d6e5f4a3b"
}
```
